<ng-container [ngSwitch]="stageComponentToDisplay">
  <kypo-ansible-allocation-stage-detail *ngSwitchCase="stageComponents.ANSIBLE_ALLOCATION"
                                        [stage]="stage">
  </kypo-ansible-allocation-stage-detail>
  <kypo-terraform-allocation-stage-detail *ngSwitchCase="stageComponents.TERRAFORM_ALLOCATION"
                                           [stage]="stage">
  </kypo-terraform-allocation-stage-detail>
</ng-container>
